MacOsX ver.10.4.9を使用しています。

このたびRuby on Railsに挑戦したくて、Rails のインストールを使用としているのですが、せっかくなので、RubyもOSXに最初から付いて来ている物ではなくて、最新版をインストールして使いたいと考えています。その際、最初からインストールされているRubyを綺麗に削除したいのですが、どのようにしたら良いでしょうか?linuxなんかの場合だと、パッケージ管理ツール(rpm, apt-getなど)が付いていて、それで綺麗に削除できますよね?Macの場合のそれに当たる物が良くわかりません。MacでRubyをやっている皆さんは、このような場合どうされていますか?気にせず最新版をインストールして、新しい方にpathの優先度を高く設定して使っていたりしますか?
よろしくお願いします。

回答の条件
  • 1人1回まで
  • 登録:2007/12/14 14:03:22
  • 終了:2007/12/16 02:41:36

回答(2件)

id:masuidrive No.1

masuidrive回答回数10ベストアンサー獲得回数22007/12/14 21:35:41

ポイント35pt

最初から付いているRubyは、システムの内包物なので消すといろいろまずいと思います。

最新版を~/binや/usr/local/などにいれて、pathで前に持ってくる方がいいと思います。

id:norisuke3

放置するが良しということですね。ありがとうございます。

2007/12/14 22:19:39
id:ffmpeg No.2

ffmpeg回答回数1202ベストアンサー獲得回数92007/12/15 21:45:29

ポイント35pt

同じバージョンのrubyソースをもってくれば、Readmeなどにアンインストールの注意点が書いてあります。

Macでは自分でパッケージから入れたのは、/Library/Receiptsに情報がありますが、一括ではじめからあるのはアンインストール情報はないです。

そっちはほっといて、/usr/localに新しいのを入れるというのも一案ではあります。

id:norisuke3

やっぱり、はじめから入っているのを削除するのは難しそうですね。ありがとうございます。

2007/12/16 02:41:04

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません